Skip to content

Setup Mandate

POST
/billing/setup-mandate
curl --request POST \
--url https://api.mengi.cloud/billing/setup-mandate \
--header 'Content-Type: application/json' \
--data '{}'

Create a verification payment (1 EUR) to set up or update mandate. This verifies the payment method and establishes a mandate for recurring charges. Can also be used to update an existing payment method.

Media type application/json
MandateSetupRequest
object
redirect_path
Any of:
string

Successful Response

Media type application/json
MandateSetupResponse
object
checkout_url
required
Checkout Url
string
Example generated
{
"checkout_url": "example"
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}